"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThirdParty = void 0;
const fs_1 = __importDefault(require("fs"));
const pkg_up_1 = __importDefault(require("pkg-up"));
const get_package_file_deps_1 = require("../helpers/get-package-file-deps");
const get_package_lock_file_deps_1 = require("../helpers/get-package-lock-file-deps");
const parse_json_file_1 = require("../helpers/parse-json-file");
function getThirdParty() {
    const packagePath = pkg_up_1.default.sync();
    const lockPath = packagePath.replace('package.json', 'package-lock.json');
    let deps;
    if (fs_1.default.existsSync(lockPath)) {
        deps = get_package_lock_file_deps_1.getPackageLockFileDeps(parse_json_file_1.parseJsonFile(lockPath));
    }
    else {
        deps = get_package_file_deps_1.getPackageFileDeps(parse_json_file_1.parseJsonFile(packagePath));
    }
    return new Set(deps);
}
exports.getThirdParty = getThirdParty;
//# sourceMappingURL=get-third-party.js.map